> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Create Connect configuration

POST https://demo.docusign.net/restapi/v2/accounts/{accountId}/connect
Content-Type: application/json

Creates a DocuSign Custom Connect definition for your account. DocuSign Connect enables the sending of real-time data updates to external applications. These updates are generated by user transactions as the envelope progresses through actions to completion. The Connect Service provides updated information about the status of these transactions and returns updates that include the actual content of document form fields. Be aware that, these updates might or might not include the document itself. For more information about Connect, see the [ML:DocuSign Connect Service Guide].

###### Note: Connect must be enabled for your account to use this function. This cannot be used to set up Connect configurations for Salesforce or eOriginal.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/connect/connectconfigurations/create

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.

### Body (application/json)

This endpoint expects a connectCustomConfiguration.

- `allowEnvelopePublish` (string, optional) — When set to **true**, data is sent to the urlToPublishTo web address. This option can be set to false to stop sending data while maintaining the Connect configuration information.
- `allUsers` (string, optional) — When set to **true**, the tracked envelope and recipient events for all users, including users that are added a later time, are sent through Connect.
- `configurationType` (string, optional) — If merge field's are being used, specifies the type of the merge field. The only supported value is **salesforce**.
- `connectId` (string, optional) — The ID of the custom Connect configuration being accessed.
- `enableLog` (string, optional) — This turns Connect logging on or off. When set to **true**, logging is turned on.
- `envelopeEvents` (string, optional) — A list of envelope-level event statuses that will trigger Connect to send updates to the endpoint specified in the `url` property. To receive notifications, you must include either an `envelopeEvents` node or a `recipientEvents` node. You do not need to specify both.
- `includeCertificateOfCompletion` (string, optional) — When set to **true**, the Connect Service includes the Certificate of Completion with completed envelopes.
- `includeCertSoapHeader` (string, optional)
- `includeDocumentFields` (string, optional) — When set to **true**, the Document Fields associated with the envelope's documents are included in the notification messages. Document Fields are optional custom name-value pairs added to documents using the API.
- `includeDocuments` (string, optional) — reserved
- `includeEnvelopeVoidReason` (string, optional) — When set to **true**, if the envelope is voided, the Connect Service notification will include the void reason, as entered by the person that voided the envelope.
- `includeHMAC` (string, optional)
- `includeSenderAccountasCustomField` (string, optional) — When set to **true**, Connect will include the sender account as Custom Field in the data.
- `includeTimeZoneInformation` (string, optional) — When set to **true**, Connect will include the envelope time zone information.
- `name` (string, optional)
- `recipientEvents` (string, optional) — An array of recipient event statuses that will trigger Connect to send notifications to your webhook listener at the url endpoint specified in the `url` property. To receive notifications, you must include either an `envelopeEvents` node or a `recipientEvents` node. You do not need to specify both.
- `requiresAcknowledgement` (string, optional) — #### When set to **true**, and SIM mode is activated: If the HTTP Status response to a notification message is not in the range of 200-299 then the message delivery failed, and the configuration is marked as *down.* The message will be queued and retried once per day. While a Connect configuration is marked down, subsequent notifications will not be tried, they'll be immediately queued with reason "Pending." Once a message succeeds, all queued messages for the configuration will be tried immediately, in order. There is a maximum of ten retries Alternately, you can use Republish Connect Information to manually republish the notification. #### When set to **true**, and SIM mode is not activated: If the HTTP Status response to a notification message is not in the range of 200-299 then the message delivery failed, and the message is queued. The message will be retried after at least a day the next time a subsequent message is successfully sent to this configuration (subscription). Subsequent notifications will be tried when they occur. There is a maximum of ten retries Alternately, you can use Republish Connect Information to manually republish the notification.
- `signMessageWithX509Certificate` (string, optional) — When set to **true**, Mutual TLS will be enabled for notifications. Mutual TLS must be initiated by the listener (the customer's web server) during the TLS handshake protocol.
- `soapNamespace` (string, optional) — The namespace of the SOAP interface. The namespace value must be set if useSoapInterface is set to true.
- `urlToPublishTo` (string, optional) — This is the web address and name of your listener or Retrieving Service endpoint. You need to include HTTPS:// in the web address.
- `userIds` (string, optional) — A comma separated list of userIds. This sets the users associated with the tracked envelope and recipient events. When a tracked event occurs for a set user, the a notification message is sent to your Connect listener. ###### Note: If allUsers is set to `false` then you must provide a list of user ids.
- `useSoapInterface` (string, optional) — When set to **true**, the notifications are sent to your endpoint as SOAP requests.

## Response

### 201

Successful response.

- `allowEnvelopePublish` (string, optional) — When set to **true**, data is sent to the urlToPublishTo web address. This option can be set to false to stop sending data while maintaining the Connect configuration information.
- `allUsers` (string, optional) — When set to **true**, the tracked envelope and recipient events for all users, including users that are added a later time, are sent through Connect.
- `configurationType` (string, optional) — If merge field's are being used, specifies the type of the merge field. The only supported value is **salesforce**.
- `connectId` (string, optional) — The ID of the custom Connect configuration being accessed.
- `enableLog` (string, optional) — This turns Connect logging on or off. When set to **true**, logging is turned on.
- `envelopeEvents` (string, optional) — A list of envelope-level event statuses that will trigger Connect to send updates to the endpoint specified in the `url` property. To receive notifications, you must include either an `envelopeEvents` node or a `recipientEvents` node. You do not need to specify both.
- `includeCertificateOfCompletion` (string, optional) — When set to **true**, the Connect Service includes the Certificate of Completion with completed envelopes.
- `includeCertSoapHeader` (string, optional)
- `includeDocumentFields` (string, optional) — When set to **true**, the Document Fields associated with the envelope's documents are included in the notification messages. Document Fields are optional custom name-value pairs added to documents using the API.
- `includeDocuments` (string, optional) — reserved
- `includeEnvelopeVoidReason` (string, optional) — When set to **true**, if the envelope is voided, the Connect Service notification will include the void reason, as entered by the person that voided the envelope.
- `includeHMAC` (string, optional)
- `includeSenderAccountasCustomField` (string, optional) — When set to **true**, Connect will include the sender account as Custom Field in the data.
- `includeTimeZoneInformation` (string, optional) — When set to **true**, Connect will include the envelope time zone information.
- `name` (string, optional)
- `recipientEvents` (string, optional) — An array of recipient event statuses that will trigger Connect to send notifications to your webhook listener at the url endpoint specified in the `url` property. To receive notifications, you must include either an `envelopeEvents` node or a `recipientEvents` node. You do not need to specify both.
- `requiresAcknowledgement` (string, optional) — #### When set to **true**, and SIM mode is activated: If the HTTP Status response to a notification message is not in the range of 200-299 then the message delivery failed, and the configuration is marked as *down.* The message will be queued and retried once per day. While a Connect configuration is marked down, subsequent notifications will not be tried, they'll be immediately queued with reason "Pending." Once a message succeeds, all queued messages for the configuration will be tried immediately, in order. There is a maximum of ten retries Alternately, you can use Republish Connect Information to manually republish the notification. #### When set to **true**, and SIM mode is not activated: If the HTTP Status response to a notification message is not in the range of 200-299 then the message delivery failed, and the message is queued. The message will be retried after at least a day the next time a subsequent message is successfully sent to this configuration (subscription). Subsequent notifications will be tried when they occur. There is a maximum of ten retries Alternately, you can use Republish Connect Information to manually republish the notification.
- `signMessageWithX509Certificate` (string, optional) — When set to **true**, Mutual TLS will be enabled for notifications. Mutual TLS must be initiated by the listener (the customer's web server) during the TLS handshake protocol.
- `soapNamespace` (string, optional) — The namespace of the SOAP interface. The namespace value must be set if useSoapInterface is set to true.
- `urlToPublishTo` (string, optional) — This is the web address and name of your listener or Retrieving Service endpoint. You need to include HTTPS:// in the web address.
- `userIds` (string, optional) — A comma separated list of userIds. This sets the users associated with the tracked envelope and recipient events. When a tracked event occurs for a set user, the a notification message is sent to your Connect listener. ###### Note: If allUsers is set to `false` then you must provide a list of user ids.
- `useSoapInterface` (string, optional) — When set to **true**, the notifications are sent to your endpoint as SOAP requests.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "allowEnvelopePublish": "string",
  "allUsers": "string",
  "configurationType": "string",
  "connectId": "string",
  "enableLog": "string",
  "envelopeEvents": "string",
  "includeCertificateOfCompletion": "string",
  "includeCertSoapHeader": "string",
  "includeDocumentFields": "string",
  "includeDocuments": "string",
  "includeEnvelopeVoidReason": "string",
  "includeHMAC": "string",
  "includeSenderAccountasCustomField": "string",
  "includeTimeZoneInformation": "string",
  "name": "string",
  "recipientEvents": "string",
  "requiresAcknowledgement": "string",
  "signMessageWithX509Certificate": "string",
  "soapNamespace": "string",
  "urlToPublishTo": "string",
  "userIds": "string",
  "useSoapInterface": "string"
}
```